%define ttfdir %_datadir/fonts/default/TrueType-armenian

Name: armenian-fonts-ttf
Version: 1.1
Release: alt3

Summary: Free Armenian TrueType fonts
Summary (ru_RU.UTF-8): Армянские TrueType шрифты
License: Distributable
Group: System/Fonts/True type
Url: http://www.freenet.am/armnls/
Source: fonts-ttf-armenian-%version.tar.bz2
BuildArch: noarch
BuildRequires: freetype
PreReq: chkfontpath freetype fontconfig

%description
This Package provides free Armenian TrueType fonts.

%description -l ru_RU.UTF-8
В пакете находятся армянские TrueType шрифты.

%prep
%setup -q -n fonts-ttf-armenian-%version

%install
mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 *.ttf $RPM_BUILD_ROOT%ttfdir
cd $RPM_BUILD_ROOT%ttfdir
%_sbindir/ttmkfdir -o ./fonts.dir >& /dev/null
ln -s %_sysconfdir/X11/encodings.dir encodings.dir
touch fonts.cache-1

%post
%_bindir/fc-cache %ttfdir
/usr/sbin/chkfontpath -q --add %ttfdir

%postun
/usr/sbin/chkfontpath -q --remove %ttfdir

%files
%ttfdir

%changelog
* Mon Sep 01 2003 Vyacheslav Dikonov <slava@altlinux.ru> 1.1-alt3
- Changed dir
- Cleanups

* Tue Jan 21 2003 Rider <rider@altlinux.ru> 1.1-alt2
- build requires fix (freetype)

* Wed Nov 27 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.1-alt1
- ALTLinux build
